package de.ozgcloud.xta.client.xdomea.reader;

import java.util.List;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotBlank;

import lombok.Builder;

@Builder
public record XdomeaXmlValues(
		@NotBlank String processId,
		@NotBlank String messageTypeCode,
		@NotBlank String authorIdSuffix,
		@NotBlank String authorIdPrefix,
		@NotBlank String readerIdSuffix,
		@NotBlank String readerIdPrefix,
		@Valid List<@NotBlank String> primaryDocumentNames
) {
}
