package de.ozgcloud.xta.client.factory;

import static de.ozgcloud.xta.client.factory.MessageMetaDataTestFactory.*;

import de.ozgcloud.xta.client.model.XtaMessageMetaData;

public class XtaMessageMetaDataTestFactory {

	public static XtaMessageMetaData create() {
		return createBuilder().build();
	}

	public static XtaMessageMetaData.XtaMessageMetaDataBuilder createBuilder() {
		return XtaMessageMetaData.builder()
				.service(MESSAGE_SERVICE)
				.businessScenarioCode(BUSINESS_SCENARIO_CODE)
				.businessScenarioListUri(BUSINESS_SCENARIO_LIST_URI)
				.businessScenarioListVersionId(BUSINESS_SCENARIO_LIST_VERSION_ID)
				.messageTypeCode(MESSAGE_TYPE_CODE)
				.messageTypePayloadSchema(MESSAGE_TYPE_PAYLOAD_SCHEMA)
				.messageId(MESSAGE_ID)
				.authorIdentifier(AUTHOR_IDENTIFIER)
				.readerIdentifier(READER_IDENTIFIER)
				.messageSize(MESSAGE_SIZE);
	}
}
