package de.ozgcloud.xta.client.xdomea;

import de.ozgcloud.xta.client.xdomea.reader.ZipFileEntryReader;
import lombok.Builder;
import lombok.RequiredArgsConstructor;

@Builder
@RequiredArgsConstructor
public class XdomeaMetaDataValidatorFactory {

	private final ZipFileEntryReader zipFileEntryReader;

	public XdomeaMetaDataValidator create() {
		return XdomeaMetaDataValidator.builder()
				.zipFileEntryReader(zipFileEntryReader)
				.build();
	}

}
