package de.ozgcloud.xta.client.factory;

import static de.ozgcloud.xta.client.factory.TransportReportTestFactory.*;


import de.ozgcloud.xta.client.model.XtaMessageStatus;
import de.ozgcloud.xta.client.model.XtaTransportReport;

public class XtaTransportReportTestFactory {

	public static XtaTransportReport create() {
		return createBuilder().build();
	}

	public static XtaTransportReport.XtaTransportReportBuilder createBuilder() {
		return XtaTransportReport.builder()
				.reportTime(REPORT_TIME)
				.metaData(XtaMessageMetaDataTestFactory.create())
				.status(XtaMessageStatus.OPEN);
	}
}
